#ifndef FDWRAP_H
#define FDWRAP_H

#include <stdio.h>

#define close(fd)   fdwrap_close(&(fd), __FILE__, __LINE__)
#define fclose(fp)  fdwrap_fclose(&(fp), __FILE__, __LINE__)

int fdwrap_close(int *fd, const char *file, int line);
int fdwrap_fclose(FILE **fp, const char *file, int line);

#endif /* FDWRAP_H */

